thin_heap_.hpp File Reference

Go to the source code of this file.

## Classes

class | __gnu_pbds::detail::thin_heap< Value_Type, Cmp_Fn, _Alloc >

## Namespaces

namespace | __gnu_pbds

## Macros

#define | PB_DS_ASSERT_AUX_NULL(X)
#define | PB_DS_ASSERT_NODE_CONSISTENT(_Node, _Bool)
#define | PB_DS_BASE_T_P
#define | PB_DS_CLASS_C_DEC
#define | PB_DS_CLASS_T_DEC

## Enumerations

enum | { num_distinct_rank_bounds }

## Variables

static const std::size_t | __gnu_pbds::detail::g_a_rank_bounds [num_distinct_rank_bounds]

## Detailed Description

Contains an implementation class for a thin heap.

Definition in file thin_heap_.hpp.

## Macro Definition Documentation

## PB_DS_ASSERT_AUX_NULL

#define PB_DS_ASSERT_AUX_NULL | ( |  | X | ) |

Definition at line 313 of file thin_heap_.hpp.

## PB_DS_ASSERT_NODE_CONSISTENT

#define PB_DS_ASSERT_NODE_CONSISTENT | ( |  | _Node,
|  |  | _Bool
| ) |  |

Definition at line 309 of file thin_heap_.hpp.

## PB_DS_BASE_T_P

#define PB_DS_BASE_T_P

Definition at line 64 of file thin_heap_.hpp.

## PB_DS_CLASS_C_DEC

#define PB_DS_CLASS_C_DEC

Definition at line 57 of file thin_heap_.hpp.

## PB_DS_CLASS_T_DEC

#define PB_DS_CLASS_T_DEC

Definition at line 54 of file thin_heap_.hpp.

## Enumeration Type Documentation

## anonymous enum

anonymous enum

Definition at line 240 of file thin_heap_.hpp.

## Variable Documentation

## g_a_rank_bounds

const std::size_t __gnu_pbds::detail::g_a_rank_bounds[num_distinct_rank_bounds]

static

Definition at line 246 of file thin_heap_.hpp.